{% load app_filters %}
{% load static %}

<!DOCTYPE html>
<html lang="fr" class="h-100">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>

    <meta name="msapplication-TileColor" content="#ffffff"/>
    <meta name="msapplication-TileImage" content="{% static 'favicon.ico' %}"/>
    <meta name="theme-color" content="#e93c46"/>
    {% block page_seo %}
    <link rel="canonical" href="{{ site_url }}/"/>
    <title>Affichage Dynamique BdE</title>
    <meta name="title" content="Affichage Dynamique BdE"/>
    <meta name="description" content="Affichage Dynamique est la plateforme pour proposer des images à afficher sur les écrans du campus de La Doua (INSA Lyon)."/>

    <meta property="og:url" content="{{ site_url }}/"/>
    <meta property="og:title" content="Affichage Dynamique BdE"/>
    <meta property="og:description" content="Affichage Dynamique est la plateforme pour proposer des images à afficher sur les écrans du campus de La Doua (INSA Lyon)."/>

    <meta property="twitter:url" content="{{ site_url }}/">
    <meta property="twitter:title" content="Affichage Dynamique BdE"/>
    <meta property="twitter:description" content="Affichage Dynamique est la plateforme pour proposer des images à afficher sur les écrans du campus de La Doua (INSA Lyon)."/>
    {% endblock %}

    {# Google bot #}
    <meta name="keywords" content="Affichage, Affichage Dynamique, INSA, INSA Lyon, Association, Vie Associative, VA, Bureau des Elèves de l'INSA Lyon, BdE, BdE INSA Lyon"/>
    <meta name="distribution" content="Global"/>
    <meta name="category" content="Association, INSA Lyon, Vie Associative"/>
    <meta name="language" content="fr"/>
    <meta name="identifier-url" content="{{ site_url }}/"/>
    <meta name="resource-type" content="document"/>
    <meta name="robots" content="index, follow"/>
    <meta name="google" content="notranslate"/>
    <meta name="revisit-after" content="2"/>

    {# Open Graph / Facebook #}
    <meta property="og:type" content="website"/>
    <meta property="og:locale" content="fr_FR"/>
    <meta property="og:site_name" content="Affichage Dynamique BdE"/>
    <meta property="og:image" content="{{ site_url }}{% static 'app_logo_og.png' %}"/>
    <meta property="og:image:width" content="300"/>
    <meta property="og:image:height" content="300"/>
    <meta property="og:image:type" content="image/png"/>
    <meta property="og:image:alt" content="Logo VA"/>

    {# Twitter #}
    <meta property="twitter:card" content="summary"/>
    <meta property="twitter:image" content="{{ site_url }}{% static 'app_logo_og.png' %}"/>
    <meta property="twitter:image:alt" content="Logo BDE"/>

    {# Stylesheets #}
    <link rel="apple-touch-icon" href="{% static "favicon.ico" %}"/>
    <link rel="icon" id="favicon" type="image/x-icon" href="{% static "favicon.ico" %}"/>

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous"/>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css"
          integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous"/>
    <style>
        main > .container {
            padding: 70px 15px 0;
        }

        .footer {
            background-color: #f5f5f5;
        }

        .footer > .container {
            padding-right: 15px;
            padding-left: 15px;
        }

        code {
            font-size: 80%;
        }
    </style>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"
            integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
</head>
<body class="d-flex flex-column h-100">
    <header>
        <!-- Fixed navbar -->
        <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
            <a class="navbar-brand" href="{% url "home" %}">Affichage BdE</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse"
                    aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item {% if request.resolver_match.url_name == 'home' %}active{% endif %}">
                        <a class="nav-link" href="{% url "home" %}">Accueil</a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.url_name == 'add_content_image' or request.resolver_match.url_name == 'add_content_youtube' or request.resolver_match.url_name == 'add_content_url' %}active{% endif %}">
                        <a class="nav-link" href="{% url "add_content_image" %}">Ajouter un contenu
                            {% if request.resolver_match.url_name == 'add_content_image' %}
                                <span class="sr-only">(current)</span>{% endif %}</a>
                    </li>
                    <li class="nav-item {% if request.resolver_match.url_name == 'list_screen' or request.resolver_match.url_name == 'view_screen' %}active{% endif %}">
                        <a class="nav-link" href="{% url "list_screen" %}">Ecran</a>
                    </li>
                    {% if user.content_moderation_pending > 0 or user.is_superuser %}
                        <li class="nav-item {% if request.resolver_match.url_name == 'moderation_home' %}active{% endif %}">
                            <a class="nav-link" href="{% url "moderation_home" %}" style="color: red;">Modérer les
                                contenus</a>
                        </li>
                    {% endif %}
                    {% if user.is_superuser %}
                        <li class="nav-item {% if request.resolver_match.url_name == 'screen_monitoring' %}active{% endif %}">
                            <a class="nav-link" href="{% url "screen_monitoring" %}">Monitoring Screen</a>
                        </li>
                    {% endif %}
                    {% if user.is_staff %}
                        <li class="nav-item">
                            <a class="nav-link" href="{% url "admin:index" %}" style="color: red;">Administration Django</a>
                        </li>
                    {% endif %}
                </ul>
                <div class="btn-group dropleft mt-2 mt-md-0">
                    <button type="button" class="btn btn-secondary dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">
                        <i aria-hidden="true" class="far fa-user"> {{ user.first_name }} {{ user.last_name }}</i>
                    </button>
                    <div class="dropdown-menu">
                        <a class="dropdown-item" href="{% url "edit_user" %}"><i aria-hidden="true" class="fas fa-user-edit"></i> Mon
                            compte</a>
                        <a class="dropdown-item" href="{{ repository.bugtracker }}" rel="noreferrer noopener" target="_blank"><i aria-hidden="true" class="fa fa-bug"></i> Signaler un problème</a>
                        <div class="dropdown-divider"></div>
                        <a class="dropdown-item" href="{% url "logout" %}" style="color: red"><i
                                aria-hidden="true" class="fas fa-user-lock"></i> Déconnexion</a>
                    </div>
                </div>
            </div>
        </nav>
    </header>

    <!-- Begin page content -->
    <main role="main" class="flex-shrink-0">
        <div class="container">
            {% if user.user_is_restaurant %}
                <div class="alert alert-primary" role="alert">
                    FONCTION SPECIALE RESTAURANTS <a href="{% url "add_restaurant" %}">Cliquer pour ajouter des menus</a>
                </div>
            {% endif %}
            {% if user.content_moderation_pending > 0 %}
                <div class="alert alert-warning" role="alert">
                    Du contenu est en attente de <a href="{% url "moderation_home" %}">modération</a>
                </div>
            {% endif %}
            {% block content %}{% endblock %}
        </div>
    </main>

    <footer class="footer mt-auto py-3">
        <div class="container">
            <div class="row">
                <div class="col">
                    <a href="{% url 'legal_notice' %}">Mentions légales</a> -
                    <strong>Support technique</strong> : <a href="mailto:{{ site_contact|anonymiseMail:True|safe }}">{{ site_contact|anonymiseMail|safe }}</a>
                </div>
                <div class="col" style="text-align: right">
                    <strong>&copy;</strong><a href="{{ repository.url }}" target="_blank" style="color: black">
                    Service Informatique Associatif</a> {% now "Y" %}
                </div>
            </div>
        </div>
    </footer>
</body>
</html>